<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Measurement extends Model
{
    protected $table = 'measurement';

    public function client()
    {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function numCPMEntries() {
        return ClientProgramMonthEntry::where('measurement_id', $this->id)->where('is_cancelled', false)->count();
    }
}
